input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
}


html, body{
    font-size: 100%;
    font-family: 'Quicksand', Helvetica, sans-serif;
    font-weight: bold;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    background: #f0f0f0;
    -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -khtml-user-select: none; /* Konqueror HTML */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none; /* Non-prefixed version, currently
                                        supported by Chrome and Opera */
}

body { 
    height: 100vh;
    width: 100%;
}

#header {
    height: 50px;
    width: 100%; 
    background: #000;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

#menu, #title, #search {
    height: 100%;
    display: block;
}

#menu_icon {
    margin-left: 13px;
    margin-top: 13px;
    height: 25px;
    stroke: #fff;
    stroke-width: 5px;
    cursor: pointer;
}

#title {
    font-size: 20px;
    color: #fff;
    text-align: center;
    line-height: 50px;
    cursor: pointer;
}

#search {
    margin: auto;
}

#search_open {
    cursor: pointer;
    height: 20px;
    margin: 14px auto;
    stroke: #fff;
    stroke-width: 8px;
}

#keyboard_container { 
    height: calc(100% - 50px);
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center; 
}

#keyboard {
    margin: auto;
    height: 45vw;
    width: 90vw;
    border: .3vw solid #000000;
    box-shadow: 10px 10px 20px 0px #252525;
    border-radius: 2vw;
    background: #bdbdbd;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

#message_row {
    height: 6vw;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

#profile_img {
    height: 6vw;
    box-shadow: 10px 10px 20px 0px #252525;
}

#message_window {
    height: 100%;
    width: 40vw;
}

#message {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
    width: 100%;
    height: 100%;
    font-size: 2vw;
    font-family: 'Quicksand','Roboto',Helvetica, sans-serif;
    font-weight: bold;
    text-align: center;
    vertical-align: middle;
    overflow-wrap: break-word;
}

#speak, #backspace, #clear {
    margin: 0;
    height: 6vw;
    width: 6vw;
    display: flex;
    align-items: center;
}

#backspace_icon, #clear_icon, #speak_icon {
    height: 75%;
    stroke: #000;
    stroke-width: 7.5;
    fill: #fff;
    -webkit-filter: drop-shadow( 0px .75vw .75vw #000 ); 
    filter: drop-shadow( 0px .75vw .75vw #000 );
    cursor: pointer;
}

#speak_icon:hover {
    stroke-width: 10;
    fill: #74c476;
}

#speak_icon:active {
    transform: translateY(4px);
    fill: #006d2c;
    -webkit-filter: drop-shadow( 0px .5vw .5vw #000 );
    filter: drop-shadow( 0px .5vw .5vw #000 );
}

#backspace_icon:hover, #clear_icon:hover {
    fill: #fc4e2a;
    stroke-width: 10;
}

#backspace_icon:active, #clear_icon:active {
    transform: translateY(4px);
    fill: #a50f15;
    -webkit-filter: drop-shadow( 0px .5vw .5vw #000 );
    filter: drop-shadow( 0px .5vw .5vw #000 );
}

.alphabet_row {
    height: 12%;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
}

.key {
    border: .3vw solid #000;
    border-radius: 1vw;
    box-shadow: 0px 5px 5px 0px #252525;
    background: #fff;
    font-size: 2.5vw;
    height: 4vw;
    width: 4vw;
    line-height: 4vw;
    text-align: center;
    cursor: pointer; 
}

.hotkey {
    border: .5vw solid #000;
    border-radius: 1vw;
    box-shadow: 0px 5px 5px 0px #252525;
    background: #fff;
    font-size: 2vw;
    font-weight: bold;
    height: 4vw;
    width: 8vw;
    line-height: 4vw;
    text-align: center;
    cursor: pointer;
}

.key:hover, #spacebar:hover, .hotkey:hover {
    background: #f7fcb9;
}

.key:active, #spacebar:active, .hotkey:active {
    background-color: #ffff33;
    box-shadow: 0 2.5px #252525;
    font-weight: bold;
    transform: translateY(4px);

}

#spacebar{
    border: .5vw solid #000;
    border-radius: 10px;
    box-shadow: 0px 5px 5px 0px #252525;
    background: #fff;
    height: 4vw;
    width: 33vw;
    cursor: pointer;
}

.dwell_bg { 
    border: 7.5px solid red; 
    transition: 1s; 
}